gd_naliases(3)

NAME
gd_naliases — report the number of aliases of a field in a dirfile

SYNOPSIS
#include <getdata.h>

unsigned int gd_naliases(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The gd_naliases() function queries a dirfile(5) database specified by dirfile and returns the number of aliases of the field specified by field_code.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_naliases() returns the number of aliases of the specified field code in the dirfile. If successful, this count will be at least one. On error, it returns zero and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_CODE
    The supplied field code was not found in the database.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_open(3), gd_aliases(3), gd_alias_target(3)